Get an agent action status
- Base URL
-
https://{kibana_url}
-
GET
/api/fleet/agents/action_status
Auth
Get the current status of recent agent actions.
-
Privileges
fleet-agents-read
-
page
number · default: 0
-
Page number
-
perPage
number · default: 20
-
Number of results per page
-
date
string
-
Return actions created before this date
-
latest
number
-
Return only the latest N actions
-
scheduledOnly
boolean
-
Return only actions whose start_time is in the future
-
errorSize
number · default: 5
-
Number of error details to include per action
-
items
object[] · max items: 10000
required
-
-
creationTime
string
required
-
creation time of action
-
latestErrors
object[] · max items: 10
-
-
timestamp
string
required
-
nbAgentsAck
number
required
-
number of agents that acknowledged the action
-
nbAgentsActionCreated
number
required
-
number of agents included in action from kibana
-
nbAgentsActioned
number
required
-
number of agents actioned
-
nbAgentsFailed
number
required
-
number of agents that failed to execute the action
-
newPolicyId
string
-
new policy id (POLICY_REASSIGN action)
-
policyId
string
-
policy id (POLICY_CHANGE action)
-
revision
number
-
new policy revision (POLICY_CHANGE action)
-
startTime
string
-
start time of action (scheduled actions)
-
status
enum
required
-
Values:
COMPLETE
EXPIRED
CANCELLED
FAILED
IN_PROGRESS
ROLLOUT_PASSED
-
type
enum
required
-
Values:
UPGRADE
UNENROLL
SETTINGS
POLICY_REASSIGN
CANCEL
FORCE_UNENROLL
REQUEST_DIAGNOSTICS
UPDATE_TAGS
POLICY_CHANGE
INPUT_ACTION
MIGRATE
PRIVILEGE_LEVEL_CHANGE
ROLLBACK
REMOVE_COLLECTOR
-
version
string
-
agent version number (UPGRADE action)
-
attributes
object
required